<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetMenuCmds Method (IEdmTaskProperties)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTaskProperties Interface : SetMenuCmds Method (IEdmTaskProperties)

Visual Basic
C#
C++/CLI

poCmds
  Array of EdmTaskMenuCmd structures; one structure for each menu command to add to the context menus

Adds the specified menu commands to File Explorer context menus.

# Syntax

Visual Basic |
--- | ---

    Sub SetMenuCmds( _
       ByVal poCmds() As EdmTaskMenuCmd _
    )

C# |
--- | ---

    void SetMenuCmds(
       EdmTaskMenuCmd[] poCmds
    )

C++/CLI |
--- | ---

    void SetMenuCmds(
    &   array<EdmTaskMenuCmd>^ poCmds
    )

#### Parameters

poCmds
  Array of EdmTaskMenuCmd structures; one structure for each menu command to add to the context menus

# Example

See the examples in IEdmTaskProperties.

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTaskProperties Interface
IEdmTaskProperties Members
IEdmTaskProperties::GetMenuCmds Method ()

# Availability

SOLIDWORKS PDM Professional 2010